Bug 18069 - koha-rebuild-zebra still calls rebuild_zebra with -x
Summary: koha-rebuild-zebra still calls rebuild_zebra with -x
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 17731
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-07 08:10 UTC by Jonathan Druart
Modified: 2017-05-03 03:43 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18069: Remove residue of rebuild_zebra -x (1.93 KB, patch)
2017-02-07 08:18 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18069: Remove residue of rebuild_zebra -x (2.01 KB, patch)
2017-02-22 14:21 UTC, Mason James
Details | Diff | Splinter Review
Bug 18069: Remove residue of rebuild_zebra -x (2.07 KB, patch)
2017-03-07 13:59 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-02-07 08:10:03 UTC

    
Comment 1 Jonathan Druart 2017-02-07 08:18:24 UTC
Created attachment 59970 [details] [review]
Bug 18069: Remove residue of rebuild_zebra -x

Bug 17731 removed the -x option of rebuild_zebra but koha-rebuild-zebra
still cals the script with this option.

"Warning: You passed -x which is already the default and is now deprecated"

Test plan:
sudo koha-rebuild-zebra -f
should no longer raise the warning
Comment 2 Mason James 2017-02-22 14:21:55 UTC
Created attachment 60556 [details] [review]
Bug 18069: Remove residue of rebuild_zebra -x

Bug 17731 removed the -x option of rebuild_zebra but koha-rebuild-zebra
still cals the script with this option.

"Warning: You passed -x which is already the default and is now deprecated"

Test plan:
sudo koha-rebuild-zebra -f
should no longer raise the warning

Signed-off-by: Mason James <mtj@kohaaloha.com>
Comment 3 Marcel de Rooy 2017-03-07 13:59:31 UTC
Created attachment 60874 [details] [review]
Bug 18069: Remove residue of rebuild_zebra -x

Bug 17731 removed the -x option of rebuild_zebra but koha-rebuild-zebra
still cals the script with this option.

"Warning: You passed -x which is already the default and is now deprecated"

Test plan:
sudo koha-rebuild-zebra -f
should no longer raise the warning

Signed-off-by: Mason James <mtj@kohaaloha.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Brendan Gallagher 2017-03-23 12:17:19 UTC
Pushed to Master - Should be in the 17.05 Release.  Thanks
Comment 5 Katrin Fischer 2017-03-26 20:55:12 UTC
This patch has been pushed to 16.11.x and will be in 16.11.06.
Comment 6 Mason James 2017-05-03 03:43:41 UTC
Pushed to 16.05.x, for 16.05.12 release